API SpecificationPRIVATExeonr.auth.private.v1.TeamsService
List applications a team could be entitled to
The organisation's application catalog for the entitlement picker, with self-serve availability and the team's current entitlements marked.
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
team?string
Team URN or slug; already-entitled applications are marked.
Length
1 <= length <= 128[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.TeamsService/ListEntitleableApplications" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"applications": [
{
"applicationSlug": "string",
"applicationName": "string",
"automaticTeamBinding": true,
"entitled": true
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}